Skip to main content
GET
/
public
/
v1
/
fixed-assets
List Fixed Assets
curl --request GET \
  --url https://api.dualentry.com/public/v1/fixed-assets/ \
  --header 'X-API-KEY: <api-key>'
{
  "items": [
    {
      "internal_id": 123,
      "number": 123,
      "company_id": 123,
      "company_name": "<string>",
      "name": "<string>",
      "serial_number": "<string>",
      "exchange_rate": "<string>",
      "purchase_date": "2023-12-25",
      "memo": "<string>",
      "cost": "<string>",
      "asset_account_number": 123,
      "expense_account_number": 123,
      "accumulation_account_number": 123,
      "created_by": {
        "actor_type": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "updated_by": {
        "actor_type": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "vendor_id": 123,
      "vendor_name": "<string>",
      "fixed_asset_class_id": 123,
      "useful_life": 123,
      "salvage_value": "<string>",
      "depreciation_start_date": "2023-12-25",
      "accumulated_beginning_balance": "<string>",
      "accumulated_through": "2023-12-25",
      "custom_schedule": [
        {
          "value": "<string>",
          "period_count": 123
        }
      ],
      "classifications": [],
      "source_lines": []
    }
  ],
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Query Parameters

search
string | null
company_id
integer[] | null
number
integer[] | null
status
enum<string>[] | null
Available options:
active,
inactive,
disposed,
fully_amortized
record_status
enum<string>[] | null
Available options:
draft,
posted,
archived
purchase_date_gte
string<date> | null
purchase_date_lte
string<date> | null
vendor_id
integer[] | null
ordering
string | null
default:-updated_at
limit
integer
default:100

Number of records to return per page (capped at 100)

Required range: x >= 1
offset
integer
default:0

Number of records to skip before starting to return results

Required range: x >= 0

Response

OK

items
PublicFixedAssetSchemaOut · object[]
required
count
integer
required
Last modified on May 29, 2026